Bug 1477616 - Validation failed: Status is not included in the list
Summary: Validation failed: Status is not included in the list
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: GA
: 5.8.2
Assignee: Greg McCullough
QA Contact: Shveta
URL:
Whiteboard:
Depends On: 1460158
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-02 13:29 UTC by Satoe Imaishi
Modified: 2017-10-24 00:16 UTC (History)
11 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1460158
Environment:
5.7.2.1
Last Closed: 2017-10-24 00:16:35 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 3 CFME Bot 2017-08-02 16:11:22 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/37d4f9db01f21467d145b7573f0ca84c8841000f

commit 37d4f9db01f21467d145b7573f0ca84c8841000f
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Jul 31 10:39:10 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 2 12:06:03 2017 -0400

    Merge pull request #15685 from syncrou/no_longer_copy_denied_state
    
    Force status removal and default value
    (cherry picked from commit 7db49cd6f4fdda5cb7bc8dd384b731baf2dfec70)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1477616

 app/models/miq_request.rb       | 14 +++++++++++---
 app/models/miq_request_task.rb  |  1 +
 spec/models/miq_request_spec.rb | 15 +++++++++++++++
 3 files changed, 27 insertions(+), 3 deletions(-)

Comment 5 Shveta 2017-08-30 17:48:46 UTC
Looks like to recreate the issue , I need to have denied status in request table and then it needs to be copied .
Not sure how to recreate that.
Can i get the verification steps please .

Comment 6 Greg McCullough 2017-08-31 18:28:39 UTC
To validate create the service template as normal for a provider then you can use a modified form of one of the suggested work-arounds to cause the issue.

In the Rails console instead of doing this:
  MiqProvisionRequestTemplate.update_all(:status => "Ok")

set the status to the invalid "Denied" status:
  MiqProvisionRequestTemplate.update_all(:status => "Denied")

This is reproduce the service ordering error.

Comment 7 Shveta 2017-08-31 20:41:12 UTC
Was able to verify with the above steps .
No error seen in provisioning, request completed successfully.
Verified in 5.8.2.0.20170824192913_b09a5f8

Comment 9 errata-xmlrpc 2017-10-24 00:16:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.